#ifndef PROGRAM_H
#define PROGRAM_H
// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 
// program.h -
// static char RCSID[] ="$Id: program.h,v 1.6 2006/02/27 18:44:01 cubbi Exp $";

#include "reference.h"
#include "token_list.h"
#include "list.h"
#include "stack.h"

class JC_Program : public JC_list {
public:
	JC_Program();
	JC_Program(Token_list&);
	JC_Program(JC_list&);
	JC_Program(JC_objref*);
	virtual ~JC_Program();

	void execute(JC_Stack &);
	void concat(JC_Program &);
	bool has_dot(void) const;
};
#endif // PROGRAM_H
